<!DOCTYPE html>
<html lang="en">

<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='styles/style.css') }}">
    <title>ZoloBot</title>
</head>

<body>
    <main class="bot">
        <div class="bot-wrapper">
            <section class="bot-header">
                <div class="price">
                    {% for x in wallet %}
                    <p class='price__title' id='price__title'>{{x}} руб.</p>
                    {% endfor %}
                </div>
                <div class="menu">
                    <button class="reload__button" id="reload">
                        <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg"
                            xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 303.597 303.597"
                            style="enable-background:new 0 0 303.597 303.597;" xml:space="preserve">
                            <path style="fill:#231F20;" d="M57.866,268.881c25.982,19.891,56.887,30.403,89.369,30.402h0.002c6.545,0,13.176-0.44,19.707-1.308
                        	c39.055-5.187,73.754-25.272,97.702-56.557c14.571-19.033,24.367-41.513,28.329-65.01c0.689-4.084-2.064-7.954-6.148-8.643
                        	l-19.721-3.326c-1.964-0.33-3.974,0.131-5.595,1.284c-1.621,1.153-2.717,2.902-3.048,4.864
                        	c-3.019,17.896-10.49,35.032-21.608,49.555c-18.266,23.861-44.73,39.181-74.521,43.137c-4.994,0.664-10.061,1-15.058,1
                        	c-24.757,0-48.317-8.019-68.137-23.191c-23.86-18.266-39.18-44.73-43.136-74.519c-3.957-29.787,3.924-59.333,22.189-83.194
                        	c21.441-28.007,54.051-44.069,89.469-44.069c24.886,0,48.484,7.996,68.245,23.122c6.55,5.014,12.43,10.615,17.626,16.754
                        	l-36.934-6.52c-1.956-0.347-3.973,0.101-5.604,1.241c-1.631,1.141-2.739,2.882-3.085,4.841l-3.477,19.695
                        	c-0.72,4.079,2.003,7.969,6.081,8.689l88.63,15.647c0.434,0.077,0.869,0.114,1.304,0.114c1.528,0,3.031-0.467,4.301-1.355
                        	c1.63-1.141,2.739-2.882,3.084-4.841l15.646-88.63c0.721-4.079-2.002-7.969-6.081-8.69l-19.695-3.477
                        	c-4.085-0.723-7.97,2.003-8.689,6.082l-6.585,37.3c-7.387-9.162-15.87-17.463-25.248-24.642
                        	c-25.914-19.838-56.86-30.324-89.495-30.324c-46.423,0-89.171,21.063-117.284,57.787C6.454,93.385-3.878,132.123,1.309,171.178
                        	C6.497,210.236,26.583,244.933,57.866,268.881z" />
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                            <g>
                            </g>
                        </svg>
                    </button>
    
                </div>
                <div class="profile">
                    <button class="profile__button">
                        <img src="{{url_for('static', filename='icon.png')}}" alt="icon">
                    </button>

                </div>
            </section>

            <section class="bot-main" id="bot-scroll">
                <ul class="chat-list item" id="chatbox">
                    <li class="item-wrapper">
                        <div class="bot-message message">
                            <div class="circle">
                                <p class="circle-text">
                                    ZB
                                </p>
                            </div>
                            <div class="box">
                                {% for x in name %}
                                <p class='box-text'>Привет, {{x}}!</p>
                                {% endfor %}
                            </div>
                        </div>
                    </li>

                </ul>
            </section>

            <section class="bot-footer" id="userInput">
                <div class="input-wrapper">
                    <input class="input" id="textInput" type="text" name="msg" placeholder="Message">
                </div>
                <button class="input__submit" id="buttonInput" type="submit">
                    <svg width="50px" height="50px" viewBox="0 0 62.644886 59.191463" version="1.1" id="svg5"
                        inkscape:version="1.1.1 (3bf5ae0d25, 2021-09-20)" sodipodi:docname="рисунок.svg"
                        xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
                        xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
                        xmlns="http://www.w3.org/2000/svg" xmlns:svg="http://www.w3.org/2000/svg">
                        <sodipodi:namedview id="namedview7" pagecolor="#ffffff" bordercolor="#666666"
                            borderopacity="1.0" inkscape:pageshadow="2" inkscape:pageopacity="0.0"
                            inkscape:pagecheckerboard="0" inkscape:document-units="mm" showgrid="false"
                            fit-margin-top="0" fit-margin-left="0" fit-margin-right="0" fit-margin-bottom="0"
                            inkscape:zoom="0.77771465" inkscape:cx="95.79349" inkscape:cy="176.15716"
                            inkscape:window-width="1299" inkscape:window-height="1080" inkscape:window-x="691"
                            inkscape:window-y="259" inkscape:window-maximized="0" inkscape:current-layer="layer1" />
                        <defs id="defs2" />
                        <g inkscape:label="Слой 1" inkscape:groupmode="layer" id="layer1"
                            transform="translate(-79.783262,-101.80552)">
                            <path style="fill:#be5528;fill-opacity:1;stroke-width:0.157152"
                                d="m 90.341909,132.64679 c -10.42121,-27.2789 -10.81877,-28.35761 -10.48635,-28.45325 0.19003,-0.0547 2.75792,-0.18428 5.70642,-0.28801 2.9485,-0.10372 9.12593,-0.33011 13.72763,-0.50308 4.601701,-0.17297 10.335601,-0.38848 12.741991,-0.4789 10.90524,-0.40977 21.06381,-0.81724 23.9488,-0.9606 3.4713,-0.1725 6.44775,-0.20941 6.44775,-0.08 0,0.046 -0.54882,0.86038 -1.21961,1.80982 -0.67078,0.94944 -1.39316,1.97964 -1.60528,2.28932 -1.42023,2.07344 -2.91107,4.22799 -4.17437,6.03273 -3.75602,5.36585 -4.6681,6.68645 -4.6681,6.75898 0,0.043 -0.1209,0.21603 -0.26866,0.3846 -0.14776,0.16856 -0.48226,0.62102 -0.74333,1.00545 -0.26108,0.38444 -1.0022,1.4591 -1.64694,2.38814 -2.09058,3.01242 -5.48528,7.90005 -7.37444,10.61761 -4.22206,6.07341 -5.29458,7.61835 -6.31629,9.09839 -0.59104,0.85618 -1.56382,2.25409 -2.16173,3.10646 -1.85744,2.64798 -4.00323,5.72361 -7.5099,10.76417 -1.85757,2.67011 -3.41977,4.85637 -3.47156,4.85836 -0.0518,0.002 -4.968501,-12.75561 -10.926031,-28.35022 z"
                                id="path836" />
                        </g>
                    </svg>
                </button>
                <!-- </div> -->
            </section>

            <div id="myModal" class="modal">

                <!-- Modal content -->
                <div class="modal-content">
                    <span class="close">&times;</span>
                    <p id='modal-text'>Some text in the Modal..</p>
                </div>

            </div>

        </div>
    </main>
    <script>
        // скролл вниз
        function updateScroll() {
            var element = document.getElementById("bot-scroll");
            element.scrollTop = element.scrollHeight;
        }

        function getBotResponse() {
            var rawText = $("#textInput").val();
            var userHtml = '<li class="item-wrapper"><div class="user-message message"><div class="box"><p class="box-text">' + rawText + '</p></div><div class="circle"><p class="circle-text">YOU</p></div></div></li>';

            if (rawText != '') {
                $("#textInput").val("");
                $("#chatbox").append(userHtml);
                updateScroll()
                $.get("/get", { msg: rawText }).done(function (data) {

                    var botHtml = '<li class="item-wrapper"><div class="bot-message message"><div class="circle"><p class="circle-text">ZB</p></div><div class="box"><p class="box-text">' + data + '</p></div></div></li>';

                    if (data.slice(-1) == 'b') {
                        document.getElementById("price__title").textContent = data.slice(0, -1) + ' руб.';

                    } else if (('object' == typeof (data))) {
                        console.log(data, typeof (data), 'elseif')
                    }
                    else {
                        setTimeout(() => { $("#chatbox").append(botHtml); }, 300);
                        setTimeout(() => { updateScroll(); }, 305);
                    }

                });
            } else {
                $.get("/get", { msg: rawText }).done(function (data) {
                    if (data.slice(-4) == 'руб.') {
                        var modal = document.getElementById("myModal");
                        modal.style.visibility = 'visible';

                        var btn = document.getElementById("reload");

                        var span = document.getElementsByClassName("close")[0];

                        // открытие модального окна
                        btn.onclick = function () {
                            modal.style.display = "block";
                            var audio = new Audio('/static/notification.mp3');
                            audio.play();
                        }

                        // закрытие по кнопке
                        span.onclick = function () {
                            modal.style.display = "none";
                            modal.style.visibility = 'hidden';
                            audio = null;
                        }
                        // закрытие за пределами окна
                        window.onclick = function (event) {
                            if (event.target == modal) {
                                modal.style.display = "none";
                                modal.style.visibility = 'hidden';
                                audio = null;
                            }
                        }
                        console.log(data)
        
                        document.getElementById("modal-text").textContent=data;
                    }
                })

            }

        }

        $("#textInput").keypress(function (e) {
            if (e.which == 13) {
                getBotResponse();
            }
        });
        $("#buttonInput").click(function () {
            getBotResponse();
        });

        $("#reload").click(function () {
            getBotResponse();
        });


    </script>
</body>

</html>